% Step test for Model 6 - Inverted Pendulum
% Created by John Hedengren

global u

% Steady State Initial Conditions for the States
theta_ss = 0;
thetadot_ss = 0;
x_ss = [theta_ss;thetadot_ss];

% Steady State Initial Condition for the Control
u_ss = 0;

% Push forward for 1 sec with 0.1 N
% Open Loop Step Change
u = 0.1;
[t1,x1] = ode15s('pend',[0 1],x_ss);
% Get final state for the next move
x_f1 = x1(size(t1,1),:);

% Push backward for 1 sec with 6.5 N
% Open Loop Step Change
u = -6.5;
[t2,x2] = ode15s('pend',[1 2],x_f1);

% Parse out the results for plotting
t = [t1;t2];
theta = [x1(:,1);x2(:,1)];
thetadot = [x1(:,2);x2(:,2)];

figure(1);
plot(t,theta);

figure(2);
plot(t,thetadot);